By using this site, you agree to our updated Privacy Policy and our Terms of Use. Manage your Cookies Settings.
443,310 Members | 1,466 Online
Bytes IT Community
+ Ask a Question
Need help? Post your question and get tips & solutions from a community of 443,310 IT Pros & Developers. It's quick & easy.

installing GCC-help needed(URGENT)

P: 40
Hello Everybody,

I want to install XML::Parser for perl. When i tried installing that package, it gave me error saying XML::expact need to be installed. I downloaded XML::Expact and when i tried to install it, it asked me to install gcc.

Can anybody give me the link for downloading gcc from internet. i downloaded the gcc package from sunfreeware.com (package name gcc_small-3.3.2-sol9-intel-local.gz) by following the following steps:-

To decompress the downloaded package file:

# cd /opt/temp
# gunzip gcc*
# cd /opt/temp
# pkgadd -d gcc*

everything looks to be fine, but when i try to run expact, i get the following error:--
checking build system type... sparc-sun-solaris2.9
checking host system type... sparc-sun-solaris2.9
checking for gcc... gcc
checking for C compiler default output... configure: error: C compiler cannot create executables

Does it mean that gcc has not been installed properly? If my gcc has not been installed properly, please let me know the proper way to install it properly.

Needless to say, thanks in advance to all of you for your help.

Cheers,
Amit
Jul 4 '07 #1
Share this Question
Share on Google+
2 Replies


100+
P: 208
What OS are you using?
Jul 4 '07 #2

P: 40
What OS are you using?
I am using solaris 9.

Thanks a lot for your effort towards this.

Cheers,
Amit
Jul 4 '07 #3

Post your reply

Sign in to post your reply or Sign up for a free account.